Summary: A high-level language for numerical computations.
Name: scilab
Version: 2.5
Release: 7
Copyright: INRIA
Group: Applications/Engineering
Source0: ftp://ftp.inria.fr/INRIA/Projects/Meta2/Scilab/distributions/scilab-%{version}.src.tar.bz2
# http://www-rocq.inria.fr/scilab/bugfix/insertfield.f.gz
Source1: insertfield.f
# http://www-rocq.inria.fr/scilab/bugfix/mtlb_load.sci.gz
Source2: mtlb_load.sci 
Patch0: scilab-2.5-compile.patch 
Patch1: scilab-2.5-nopvmmakefile.patch
Patch2: scilab-2.5-autoconfsys.patch
Patch3: scilab-2.5-sound.patch
Patch4: scilab-2.5-xtorient.patch
URL: http://www-rocq.inria.fr/scilab/
BuildRequires: perl
BuildRoot: %{_tmppath}/scilab-%{version}-root
Excludearch: sparc ia64

%description
Scilab is a high-level language, primarily intended for numerical
computations.  Scilab includes a number of toolboxes and on-line
documentation.


%prep
%setup -q

%patch0 -p1
#%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%build
cp /usr/share/libtool/{config.sub,config.guess,ltconfig,ltmain.sh} config/
cp %SOURCE1 routines/interf/
cp %SOURCE2 macros/mtlb/
autoconf
%configure --enable-shared --enable-static=no --with-tk --prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir}
make all
make tarbindist 2>&1 > /dev/null


%install
rm -rf $RPM_BUILD_ROOT
#makeinstall

mkdir -p $RPM_BUILD_ROOT/usr/{lib,bin}
( cd $RPM_BUILD_ROOT/usr/lib; tar xf $RPM_BUILD_DIR/scilab-%{version}/scilab-2.*-bin.tar )

# Nuke dependencies on /bin/SCILABGS and /bin/sh5
( cd $RPM_BUILD_ROOT/usr/lib/scilab-*
    chmod -x ./scripts/scilab.g
    perl -pi -e s+/bin/sh5+/bin/sh+ ./bin/dold
)

# Nuke attempts to setenv SCI from build directory.
( cd $RPM_BUILD_ROOT/usr/lib/scilab-*
  for F in `grep -l ${RPM_BUILD_DIR} ./util/* ./bin/*`
  do
    perl -pi -e "s+${RPM_BUILD_DIR}+/usr/lib+" ${F}
  done
)

# Add /usr/bin/scilab symlink
( cd $RPM_BUILD_ROOT/usr/bin
  ln -s ../lib/scilab-*/bin/scilab scilab
)

# Clean up some perms stuff so we don't get bogus dependencies
cd $RPM_BUILD_ROOT/usr/lib/scilab-*/
chmod a-x `find . -type f -name "Makefile.*"`

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../scilab-2.*-bin.tar

%files
%defattr(-,root,root)
/usr/bin/*
/usr/lib/scilab-*

%changelog
* Thu Jan 11 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't build on ia64

* Mon Dec 18 2000 Tim Powers <timp@redhat.com>
- bzipped sources to conserve space

* Tue Dec 12 2000 Trond Eivind Glomsrd <teg@redhat.com>
- various patches from the scilab home page

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Sat Jun 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't build on SPARC (compiler bug?)
- patch the configure scripts to recognize the architectures
- use the %%configure macro
- require perl for building

* Fri Jun 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- update to 2.5
- remove all patches

* Wed Aug 18 1999 Tim Powers <timp@redhat.com>
- exludearch alpha

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- clean up dependencies

* Wed May 05 1999 Bill Nottingham <notting@redhat.com>
- update to 2.4.1

* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- Upgrade to 2.4.

* Thu Oct 22 1998 Jeff Johnson <jbj@redhat.com>
- Fixes to permit compile on alpha.
- Eliminate lurking dependencies on /bin/sh5 and SCILABGS.
- Modify default value of SCI variable to be correct for users.
- Add /usr/bin/scilab symlink.

* Sat Jul 11 1998 Jeff Johnson <jbj@redhat.com>
- Create powertools package.
